ShellCheck-0.4.1: Shell script analysis tool

Safe Haskell | None
Language | Haskell98

ShellCheck.Interface

# Documentation

data SystemInterface m

Constructors

SystemInterface |
Fields siReadFile :: String -> m (Either ErrorMessage String)

data CheckSpec

Constructors

CheckSpec |
Fields csFilename :: String csScript :: String csExcludedWarnings :: [Integer] csShellTypeOverride :: Maybe Shell

Instances

Eq CheckSpec |
Show CheckSpec |

data CheckResult

Constructors

CheckResult |
Fields crFilename :: String crComments :: [PositionedComment]

Instances

Eq CheckResult |
Show CheckResult |

emptyCheckSpec :: CheckSpec

data ParseSpec

Constructors

ParseSpec |
Fields psFilename :: String psScript :: String

Instances

Eq ParseSpec |
Show ParseSpec |

data ParseResult

Constructors

ParseResult |
Fields prComments :: [PositionedComment] prTokenPositions :: Map Id Position prRoot :: Maybe Token

Instances

Eq ParseResult |
Show ParseResult |

data AnalysisSpec

Constructors

AnalysisSpec |
Fields asScript :: Token asShellType :: Maybe Shell asExecutionMode :: ExecutionMode

data AnalysisResult

Constructors

AnalysisResult |
Fields arComments :: [TokenComment]

data Shell

Constructors

Ksh |
Sh |
Bash |

Instances

Eq Shell |
Show Shell |

data ExecutionMode

Constructors

Executed |
Sourced |

Instances

Eq ExecutionMode |
Show ExecutionMode |

type ErrorMessage = String

type Code = Integer

data Severity

Constructors

ErrorC |
WarningC |
InfoC |
StyleC |

Instances

Eq Severity |
Ord Severity |
Show Severity |

data Position

Constructors

Position |
Fields posFile :: String posLine :: Integer posColumn :: Integer

Instances

Eq Position |
Show Position |

data Comment

Constructors

Comment Severity Code String |

Instances

Eq Comment |
Show Comment |

data PositionedComment

Constructors

PositionedComment Position Comment |

Instances

Eq PositionedComment |
Show PositionedComment |

data TokenComment

Constructors

TokenComment Id Comment |

Instances

Eq TokenComment |
Show TokenComment |

mockedSystemInterface :: [(String, String)] -> SystemInterface Identity